Skip to main content
GET
/
sessions
/
fields
Get All Fields
curl --request GET \
  --url https://api.swoogo.com/api/v1/sessions/fields \
  --header 'Authorization: Bearer <token>'
{
  "items": [
    {
      "created_at": "2023-04-21 15:46:23",
      "updated_at": "2023-04-21 15:47:37"
    }
  ],
  "_links": {
    "self": {
      "href": ""
    },
    "first": {
      "href": ""
    },
    "last": {
      "href": ""
    }
  },
  "_meta": {
    "totalCount": 1,
    "pageCount": 1,
    "currentPage": 1,
    "perPage": 20
  }
}

Authorizations

Authorization
string
header
required

OAuth 2.0 bearer token obtained from POST /oauth2/token. Tokens expire after 30 minutes. Include in the Authorization header as Bearer {access_token}.

Query Parameters

fields
string

string - optional - Comma separated list of fields you want to return

Example:

"id,attribute,name,s_hint,type,visible,required,sort,allow_html,s_url_display_format,s_button_text,s_url_image_id,s_max_links,s_link_collection_fields"

string - optional - Filter conditions to narrow the results. Valid operators are =, !=, >=, <=, >, <, contains, beginswith, endswith

Example:

"id>123"

page
string

integer - optional - The page of results you want to view

Example:

"1"

per-page
string

integer - optional - The number of results per page (to a max of 200)

Example:

"5"

expand
string
ids
string

Comma-separated list of IDs to retrieve. When provided, only records matching these IDs are returned. All values must be positive integers. Maximum 100 IDs per request.

Response

Collection

items
object[]
_meta
object